Index: trunk/DataCheck/Transfer/BackupQLA.sh
===================================================================
--- trunk/DataCheck/Transfer/BackupQLA.sh	(revision 18745)
+++ trunk/DataCheck/Transfer/BackupQLA.sh	(revision 18746)
@@ -12,12 +12,24 @@
 set -C
 
+logfile=$runlogpath"/BackupQLA-"$datetime".log"
+date > $logfile
+
+if [ "$1" = "short" ]
+then
+   dirs=( "/star" "/callisto" "/ganymed_run" ) 
+   printprocesslog "INFO run only short version of rsyncs for the directories "${dirs[@]}
+   echo "INFO run only short version of rsyncs for the directories "${dirs[@]}  >> $logfile
+fi
+
+
+
 # get paths depending on host
 case $HOSTNAME in
-         daq) from=( "/loc_data/analysis/" )
+         daq) from=( "/loc_data/analysis" )
               to=( "/newdaq/analysis_bu" )
               ## new temporary solution with rsync-servers
               #to="newdaq::newdaq/analysis_bu"
               ;;
-   isdc-dl00) from=( "fact@161.72.93.131:/daq/analysis/" "/gpfs0/fact/processing/qla/" )
+   isdc-dl00) from=( "fact@161.72.93.131:/daq/analysis" "/gpfs0/fact/processing/qla" )
               #to="/gpfs/scratch/fact/qla"
               to=( "/gpfs0/fact/processing/qla"  "operator@coma.astro.uni-wuerzburg.de:/fact/data/qla")
@@ -29,15 +41,32 @@
 esac
 
-logfile=$runlogpath"/BackupQLA-"$datetime".log"
-date >> $logfile
+
 
 for (( i=0 ; i < ${#from[@]} ; i++ ))
 do 
-   printprocesslog "INFO rsync "${from[$i]}" to "${to[$i]}
-   echo "rsync from "${from[$i]}" to "${to[$i]} >> $logfile 2>&1
-   if ! rsync -auv ${from[$i]} ${to[$i]} >> $logfile 2>&1
+   if [ ${#dirs[@]} -gt 0 ]
    then
-      printprocesslog "CONNECTION problem rsyncing QLA from "${from[$i]}" to "${to[$i]}
-      echo `date`": problem rsyncing QLA from "${from[$i]}" to "${to[$i]} >> $logfile 2>&1
+      for dir in ${dirs[@]}
+      do
+         echo "INFO rsync "${from[$i]}$dir"/ to "${to[$i]}$dir
+         date
+         printprocesslog "INFO rsync "${from[$i]}$dir"/ to "${to[$i]}$dir
+         echo "rsync from "${from[$i]}$dir"/ to "${to[$i]}$dir >> $logfile 2>&1
+         if ! rsync -auv ${from[$i]}$dir"/" ${to[$i]}$dir >> $logfile 2>&1
+         then
+            printprocesslog "CONNECTION problem rsyncing QLA from "${from[$i]}$dir"/ to "${to[$i]}$dir
+            echo `date`": problem rsyncing QLA from "${from[$i]}$dir"/ to "${to[$i]}$dir >> $logfile 2>&1
+         fi
+      done
+   else 
+      echo "rsync from "${from[$i]}"/ to "${to[$i]}
+      finish
+      printprocesslog "INFO rsync "${from[$i]}"/ to "${to[$i]}
+      echo "rsync from "${from[$i]}"/ to "${to[$i]} >> $logfile 2>&1
+      if ! rsync -auv ${from[$i]}"/" ${to[$i]} >> $logfile 2>&1
+      then
+         printprocesslog "CONNECTION problem rsyncing QLA from "${from[$i]}"/ to "${to[$i]}
+         echo `date`": problem rsyncing QLA from "${from[$i]}"/ to "${to[$i]} >> $logfile 2>&1
+      fi
    fi
 done
